# Gimp.ConfigWriter.finish

    @accepts(Gimp.ConfigWriter, unicode)
    @returns(bool)
    def finish(self, footer):
        # Python wrapper for gimp_config_writer_finish()

This function finishes the work of self and unrefs it afterwards. It closes all open elements, appends an optional comment and releases all resources allocated by self.

Using any function except Gimp.ConfigWriter.ref or Gimp.ConfigWriter.unref after this function is forbidden and will trigger warnings.

Since 2.4

self

  a Gimp.ConfigWriter

footer

  text to include as comment at the bottom of the file

Returns